Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class SpecialDeviceColorSpace

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.ColorSpace<TDataObject>
              org.pdfclown.documents.contents.colorSpaces.SpecialColorSpace<PdfArray>
                  org.pdfclown.documents.contents.colorSpaces.SpecialDeviceColorSpace

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  DeviceNColorSpace, SeparationColorSpace

    @PDF(value=PDF12)
    public abstract class SpecialDeviceColorSpace

extends SpecialColorSpace<PdfArray>

Special device color space [PDF:1.6:4.5.5].

Version:
  0.1.1, 11/14/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String` | `NoneComponentName` Special colorant name never producing any visible output.

Constructor Summary
`protected` | `SpecialDeviceColorSpace(PdfDirectObject baseObject)`

Method Summary
`ColorSpace<?>` | `getAlternateSpace()` Gets the alternate color space used in case any of the `component names` in the color space do not correspond to a component available on the device.
`abstract List<String>` | `getComponentNames()` Gets the names of the color components.
`Paint` | `getPaint(Color<?> color)` Gets the rendering representation of the specified color value.
`Function<?>` | `getTintFunction()` Gets the function to transform a tint value into color component values in the `alternate color space`.

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.ColorSpace
`getColor, getComponentCount, getDefaultColor, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NoneComponentName

    public static final String NoneComponentName

  Special colorant name never producing any visible output.

  When a color space with this component name is the current color space, painting operators have no effect.

Constructor Detail

### SpecialDeviceColorSpace

    protected SpecialDeviceColorSpace(PdfDirectObject baseObject)

Method Detail

### getAlternateSpace

    public ColorSpace<?> getAlternateSpace()

  Gets the alternate color space used in case any of the `component names` in the color space do not correspond to a component available on the device.

### getComponentNames

    public abstract List<String> getComponentNames()

  Gets the names of the color components.

### getPaint

    public Paint getPaint(Color<?> color)

  Description copied from class: `ColorSpace`
  Gets the rendering representation of the specified color value.

  Specified by:
    `getPaint` in class `ColorSpace<PdfArray>`
  Parameters:
    `color` - Color value to convert into an equivalent rendering representation.

### getTintFunction

    public Function<?> getTintFunction()

  Gets the function to transform a tint value into color component values in the `alternate color space`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.